CorebanqCorebanq Developer Docs
Customersv1Shareholders

Partially Update Shareholder

Partially updates shareholder link fields within the URL customer scope. Omitted scalar fields are preserved. Supplied metadata keys are merged into the existing metadata object and cannot remove existing metadata keys; use PUT to replace metadata.

PATCH
/v1/customers/{id}/shareholders/{shareholder_id}

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from /v1/authenticate endpoint

In: header

Path Parameters

id*string

id path parameter

shareholder_id*string

shareholder_id path parameter

id*string

Customer UUID.

shareholder_id*string

Shareholder UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Partially updates a shareholder's link fields within the URL customer scope. Omitted scalar fields are preserved. When entity_id changes, the target persona or organization must already be referenced by a shareholder under the URL customer. Supplied metadata keys are merged into the stored metadata object and cannot remove existing metadata keys; use PUT to replace metadata.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/shareholders/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "entity_id": "8161163a-f227-466f-bc01-090a01e80165",
  "entity_name": "individual",
  "stake": 0.1,
  "stake_description": "string",
  "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
  "group": "string",
  "active": true,
  "metadata": {},
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "modified_at": "2019-08-24T14:15:22Z",
  "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f"
}
{
  "status": 400,
  "message": "Bad request"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "Internal server error"
}